Name:           perl-Test-Spec
Version:        0.38
Release:        1%{?dist}
Summary:        Write tests in a declarative specification style
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Spec/
Source0:        http://www.cpan.org/authors/id/P/PH/PHILIP/Test-Spec-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Package::Stash) >= 0.23
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(TAP::Parser)
BuildRequires:  perl(Test::Deep) >= 0.103
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Trap)
BuildRequires:  perl(Tie::IxHash)
BuildRequires:  perl(warnings)
Requires:       perl(Package::Stash) >= 0.23
Requires:       perl(Test::Deep) >= 0.103
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
This is a declarative specification-style testing system for behavior-driven
development (BDD) in Perl. The tests (a.k.a. examples) are named with strings
instead of subroutine names, so your fingers will suffer less fatigue from
underscore-itis, with the side benefit that the test reports are more legible.

%prep
%setup -q -n Test-Spec-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 26 2011 Iain Arnell <iarnell@gmail.com> 0.38-1
- update to latest upstream

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.37-2
- Perl mass rebuild

* Sat Jul 09 2011 Iain Arnell <iarnell@gmail.com> 0.37-1
- update to latest upstream version

* Sat Jun 25 2011 Iain Arnell <iarnell@gmail.com> 0.33-1
- update to latest upstream version

* Sun Jun 12 2011 Iain Arnell <iarnell@gmail.com> 0.32-1
- update to latest upstream version

* Wed Jun 08 2011 Iain Arnell <iarnell@gmail.com> 0.31-1
- Specfile autogenerated by cpanspec 1.79.
